### Class

# RB EncoderFactory

#### Description

    class RB.EncoderFactory : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Functions

###### rb_encoder_factory_get

Returns the `RBEncoderFactory` instance.

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### RB.EncoderFactory::prepare-sink

Emitted when creating a sink to write to the specified URI. Plugins can use this when just creating a GStreamer element from the URI isn’t enough. Typically this happens when there’s no way to pass device information through the URI format.

###### RB.EncoderFactory::prepare-source

Emitted when creating a source to read the specified URI. Plugins can use this when just creating a GStreamer element from the URI isn’t enough. Typically this happens when there’s no way to pass device information through the URI format.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct RBEncoderFactoryClass {
      GObjectClass obj_class;
      void (* prepare_source) (
        RBEncoderFactory* factory,
        const char* uri,
        GObject* source
      );
      void (* prepare_sink) (
        RBEncoderFactory* factory,
        const char* uri,
        GObject* sink
      );

    }

No description available.

###### Class members

`obj_class: GObjectClass`

  No description available.

`prepare_source: void (* prepare_source) ( RBEncoderFactory* factory, const char* uri, GObject* source )`

  No description available.

`prepare_sink: void (* prepare_sink) ( RBEncoderFactory* factory, const char* uri, GObject* sink )`

  No description available.

#### Virtual methods

###### RB.EncoderFactoryClass.prepare_sink

No description available.

###### RB.EncoderFactoryClass.prepare_source

No description available.